oracle.adf.view.rich.export

## Class ExportContext

- java.lang.Object
- - oracle.adf.view.rich.export.ExportContext

-     public class ExportContext
      extends Object

  The ExportContext holds context information about the current export action.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharset()` Retrieves the charset of the current exporting action.
    `String` | `getContentType()` Retrieves the content type of this export action.
    `ExportedRowsType` | `getExportedRowsType()` Gets the exported row type for the current export action.
    `javax.faces.context.FacesContext` | `getFacesContext()` Retrieves the FacesContext instance associated with the current export action.
    `String` | `getFileName()` Gets the name of the file to export to.
    `javax.el.MethodExpression` | `getFilterMethod()`
    `String` | `getFilterName()` Retrieves the charset of the current exporting action.
    `ExportFormatInfo` | `getFormatInfo()` Returns ExportFormatInfo of the current export
    `int` | `getRegularColNumber()` Gets the number of regular columns
    `int` | `getRowLimit()` Retrieves the maximum allowed number of rows to be exported.
    `javax.servlet.ServletResponse` | `getServletResponse()` Gets the ServeletResponse associated with the current export action.
    `String` | `getTitle()` Gets the title of the exported document
    `boolean` | `isFirstDetailItem()` Checks whether the current item being exported is the first component in the detail stamp or not.
    `boolean` | `isFirstInRow()` Checks whether the current cell being exported is the first cell in row or not.
    `boolean` | `isSpanned()` Checks whether the current cell being exported is spanned or not, either by cell before it (colSpan) or above it (rowSpan).
    `void` | `setCharset(String charset)` Sets the charset of the current exporting action.
    `void` | `setContentType(String contentType)` Sets the content type of this export action.
    `void` | `setExportedRowsType(ExportedRowsType exportedRowsType)` Sets the exported row type for the current export action.
    `void` | `setFacesContext(javax.faces.context.FacesContext facesContext)` Sets the FacesContext instance to be associated with the current export action.
    `void` | `setFileName(String fileName)` Sets the name of the file to export to.
    `void` | `setFilterMethod(javax.el.MethodExpression filterMethod)`
    `void` | `setFilterName(String filterName)` Sets the charset of the current exporting action.
    `void` | `setFirstDetailItem(boolean firstDetailItem)` Sets the flag to indicate whether the current item being exported is the first component in the detail stamp or not.
    `void` | `setFirstInRow(boolean firstInRow)` Sets the flag that the current cell being exported is the first cell in row or not.
    `void` | `setFormatInfo(ExportFormatInfo _formatInfo)` Sets the ExportFormatInfo for the current export
    `void` | `setRegularColNumber(int regularColNumber)` Sets the number of regular columns
    `void` | `setRowLimit(int rowLimit)` Sets the maximum allowed number of rows to be exported.
    `void` | `setServletResponse(javax.servlet.ServletResponse response)` Sets the ServeletResponse to be associated with the current export action.
    `void` | `setSpanned(boolean isSpanned)` Sets the flag that the current cell being exported is spanned, either by cell before it (colSpan) or above it (rowSpan).
    `void` | `setTitle(String title)` Sets the title of the exported document

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExportContext

          public ExportContext()

  - ### Method Detail

    - #### isSpanned

          public boolean isSpanned()

      Checks whether the current cell being exported is spanned or not, either by cell before it (colSpan) or above it (rowSpan).
      Returns:
        `true` if the current cell being exported is a spanned.

    - #### setSpanned

          public void setSpanned(boolean isSpanned)

      Sets the flag that the current cell being exported is spanned, either by cell before it (colSpan) or above it (rowSpan).
      Parameters:
        `isSpanned` - the `boolean` to set if the current cell is spanned

    - #### isFirstInRow

          public boolean isFirstInRow()

      Checks whether the current cell being exported is the first cell in row or not.
      Returns:
        `true` if the current cell is the first cell of the row.

    - #### setFirstInRow

          public void setFirstInRow(boolean firstInRow)

      Sets the flag that the current cell being exported is the first cell in row or not.
      Parameters:
        `firstInRow` - set the flag `boolean` if the current cell is the first in the row.

    - #### getCharset

          public String getCharset()

      Retrieves the charset of the current exporting action.
      Returns:
        the charset for the current exporting action.

    - #### setCharset

          public void setCharset(String charset)

      Sets the charset of the current exporting action.
      Parameters:
        `charset` - set the charset of the current exporting action.

    - #### isFirstDetailItem

          public boolean isFirstDetailItem()

      Checks whether the current item being exported is the first component in the detail stamp or not.
      Returns:
        is `true` if the current item is the first component in the details stamp.

    - #### setFirstDetailItem

          public void setFirstDetailItem(boolean firstDetailItem)

      Sets the flag to indicate whether the current item being exported is the first component in the detail stamp or not.
      Parameters:
        `firstDetailItem` - set the flag to indicate the current item being exported is the first component in the the detail stamp.

    - #### getExportedRowsType

          public ExportedRowsType getExportedRowsType()

      Gets the exported row type for the current export action.
      Returns:
        the exported row type.

    - #### setExportedRowsType

          public void setExportedRowsType(ExportedRowsType exportedRowsType)

      Sets the exported row type for the current export action.
      Parameters:
        `exportedRowsType` - exported row type.

    - #### getFileName

          public String getFileName()

      Gets the name of the file to export to.
      Returns:
        the name of the file to be exported.

    - #### setFileName

          public void setFileName(String fileName)

      Sets the name of the file to export to.
      Parameters:
        `fileName` - the file name to be exported to.

    - #### getServletResponse

          public javax.servlet.ServletResponse getServletResponse()

      Gets the ServeletResponse associated with the current export action.
      Returns:
        the servlet response.

    - #### setServletResponse

          public void setServletResponse(javax.servlet.ServletResponse response)

      Sets the ServeletResponse to be associated with the current export action.
      Parameters:
        `response` - the servlet response to be associated with the current export action.

    - #### getTitle

          public String getTitle()

      Gets the title of the exported document
      Returns:
        the title of the exported document.

    - #### setTitle

          public void setTitle(String title)

      Sets the title of the exported document
      Parameters:
        `title` - the title of the exported document.

    - #### getRegularColNumber

          public int getRegularColNumber()

      Gets the number of regular columns
      Returns:
        the number of columns in the collection

    - #### setRegularColNumber

          public void setRegularColNumber(int regularColNumber)

      Sets the number of regular columns
      Parameters:
        `regularColNumber` - the number of regular columns.

    - #### getFacesContext

          public javax.faces.context.FacesContext getFacesContext()

      Retrieves the FacesContext instance associated with the current export action.
      Returns:
        the faces context

    - #### setFacesContext

          public void setFacesContext(javax.faces.context.FacesContext facesContext)

      Sets the FacesContext instance to be associated with the current export action.
      Parameters:
        `facesContext` - the faces context to be associated with the current export action.

    - #### getContentType

          public String getContentType()

      Retrieves the content type of this export action.
      Returns:
        the content type of the export action.

    - #### setContentType

          public void setContentType(String contentType)

      Sets the content type of this export action.
      Parameters:
        `contentType` - the content type of this export action.

    - #### getRowLimit

          public int getRowLimit()

      Retrieves the maximum allowed number of rows to be exported. -1 indicating no limit.
      Returns:
        the maximum allowed number of rows to be exported. -1 indicating no limit.

    - #### setRowLimit

          public void setRowLimit(int rowLimit)

      Sets the maximum allowed number of rows to be exported. -1 indicating no limit.
      Parameters:
        `rowLimit` - maximum allowed number of rows to be exported. -1 indicating no limit.

    - #### getFilterMethod

          public javax.el.MethodExpression getFilterMethod()

    - #### setFilterMethod

          public void setFilterMethod(javax.el.MethodExpression filterMethod)

    - #### getFilterName

          public String getFilterName()

      Retrieves the charset of the current exporting action.
      Returns:
        the charset of the current exporting action.

    - #### setFilterName

          public void setFilterName(String filterName)

      Sets the charset of the current exporting action.
      Parameters:
        `filterName` - the charset of the current exporting action.

    - #### setFormatInfo

          public void setFormatInfo(ExportFormatInfo _formatInfo)

      Sets the ExportFormatInfo for the current export
      Parameters:
        `_formatInfo` - the ExportFormatInfo for the current export

    - #### getFormatInfo

          public ExportFormatInfo getFormatInfo()

      Returns ExportFormatInfo of the current export
      Returns:
        ExportFormatInfo of the current export

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.